Show / Hide Table of Contents

# Class MessageReference

Contains the IDs sent from a crossposted message.

##### Inheritance

System.Object
MessageReference

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Discord

###### Assembly: Discord.Net.Core.dll

##### Syntax

    public class MessageReference

### Properties

| Improve this Doc View Source

#### ChannelId

Gets the Channel ID of the original message.

##### Declaration

    public ulong ChannelId { get; }

##### Property Value

Type | Description
--- | ---
System.UInt64 |

| Improve this Doc View Source

#### GuildId

Gets the Guild ID of the original message.

##### Declaration

    public Optional<ulong> GuildId { get; }

##### Property Value

Type | Description
--- | ---
Optional<System.UInt64> |

| Improve this Doc View Source

#### MessageId

Gets the Message ID of the original message.

##### Declaration

    public Optional<ulong> MessageId { get; }

##### Property Value

Type | Description
--- | ---
Optional<System.UInt64> |

### Methods

| Improve this Doc View Source

#### ToString()

##### Declaration

    public override string ToString()

##### Returns

Type | Description
--- | ---
System.String |

##### Overrides

System.Object.ToString()